Bug 1051862 - Enable Wayland support in libva
Summary: Enable Wayland support in libva
Keywords:
Status: CLOSED RAWHIDE
Alias: None
Product: Fedora
Classification: Fedora
Component: libva
Version: 20
Hardware: x86_64
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Adam Williamson
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-01-12 10:14 UTC by Mykola Dvornik
Modified: 2014-04-08 20:31 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-04-08 20:31:45 UTC
Type: Bug


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
FreeDesktop.org 76313 0 None None None Never

Description Mykola Dvornik 2014-01-12 10:14:42 UTC
Description of problem:

Libva and its drivers has no Wayland support enabled.


Version-Release number of selected component (if applicable):

libva-1.2.1-2.fc20
libva-intel-driver-1.2.1-2.fc20

How reproducible:

Persistent

Steps to Reproduce:
1. Launch weston
2. Play video with mpv player that is build with wayland support
3. 

Actual results:

mpv says that libva has no wayland support

Expected results:

libva with wayland support to be consistent with F20 wayland preview strategy.

Additional info:

Comment 1 Nicolas Chauvet (kwizart) 2014-01-12 20:50:11 UTC
Unfortunately, enabling wayland with the current 1.2.1 libva may still lead to a crashy library when used in a non-wayland environment.

I'm open to review any tested suggestion in order to fulfill the request, but just enabling wayland support in libva will not fit. One way to achieve this would be to build an alternative libva with wayland enabled. But selecting the right libva.so.1 to use would need to be determined.

Another solution would be to sort this issue by upstream.

Comment 2 Mykola Dvornik 2014-01-12 20:59:19 UTC
Would it be possible to make a scratch build with wayland support on board?

Comment 3 Nicolas Chauvet (kwizart) 2014-01-14 08:45:53 UTC
it should be very easy for you to test:
fedpkg clone libva -a
add "%define _with_wayland 1" on top of the libva.spec
fedpkg build


Note You need to log in before you can comment on or make changes to this bug.